# himitsu-ssh

This project provides an integration between Secure Socket Shell (SSH) and
[Himitsu], allowing you to store your SSH keys in Himitsu, and provides an SSH
agent which will use those keys to authenticate your SSH connections.

[Himitsu]: https://sr.ht/~sircmpwn/himitsu/

**Note**: Presently only ed25519 keys are supported.

## Dependencies

- [Himitsu]
- [hare-ssh]
- [scdoc]

[hare-ssh]: https://sr.ht/~sircmpwn/hare-ssh/
[scdoc]: https://sr.ht/~sircmpwn/scdoc/

## Installation

```
$ make
# make install
```

Then add the following to your `~/.profile`:

```
exec $(hissh-agent)
```

## SSH keys

To import existing SSH keys, run a command like the following:

```
$ hissh-import < ~/.ssh/id_ed25519
```

To generate new keys:

```
$ hissh-keygen -t ed25519
```

For either command, you can append an arbitrarily list of key/value pairs to add
additional details to the Himitsu entry.
