himitsu-ssh(5)

# NAME

himitsu-ssh - format of SSH keys used by *himitsu-ssh*(7)

# DESCRIPTION

This man page details the format of SSH keys stored in the Himitsu key store by
himitsu-ssh. For details on using himitsu-ssh, consult *himitsu-ssh*(7) instead.

# KEY FORMAT

The Himitsu keys used by himitsu-ssh use *proto=ssh* and define other fields
which may vary depending on the type of key in use. The keys common to each key
type are:

|[ *proto*
:< ssh
|  *type*
:  The key algorithm, using the standard SSH name
|  *comment*?
:  An arbitrary user-provided comment

The "type" defines the other parameters which are present. Key materials are
stored directly in their "raw" form, rather than wrapped in the SSH standard key
format.

## ssh-ed25519

ssh-ed25519 keys add the following fields:

|[ *type*
:< ssh-ed25519
|  *pk*
:  The ed25519 public key, base64 encoded
|  *sk*!
:  The ed25519 secret key, base64 encoded

# SEE ALSO

*himitsu-ssh*(7)
